Not all values are present: indexing is truncating events

11/18/2016 12:23 AM - Luke Murphey

Status: Closed Start date: 11/18/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.0   

Description

Title is sometimes not present. I'm using a stash file so I don't know why the entire field isn;t available.

Associated revisions

Revision 210 - 11/18/2016 10:40 PM - lmurphey

Preventing truncation of events, closes #1598

History

#1 - 11/18/2016 06:28 AM - Luke Murphey

- Subject changed from Not all values are present to Not all values are present: indexing is truncating events

#2 - 11/18/2016 06:32 AM - Luke Murphey

Currently seeing events of length 4074 using | eval l=len(_raw).

#3 - 11/18/2016 06:33 AM - Luke Murphey

Questions:

1. What is the length of the original event?

2. Is the event getting sent to the stash file correctly?

#4 - 11/18/2016 06:43 AM - Luke Murphey

Stash event is getting created correctly.

#5 - 11/18/2016 06:43 AM - Luke Murphey

Both of the following fields are getting written at the end which is less than ideal:

raw_match_count

title

#6 - 11/18/2016 07:16 AM - Luke Murphey

The lengths are not the same which might imply something within the event is the problem. However, when I truncate the stash file by the location

where it is cut off, I consistently get files of 4,192 bytes.

#7 - 11/18/2016 07:19 AM - Luke Murphey

If I take out the stash header, I get exactly 4096 bytes or 2e12.

#8 - 11/18/2016 07:34 AM - Luke Murphey
Might need an option to make a new event for each match.

#9 - 11/18/2016 10:40 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-web-input|r237.

Powered by TCPDF (www.tcpdf.org)

05/03/2024 2/2

http://www.tcpdf.org

